API reference

GET /api/v1/media

List media objects in the current project.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
cursorstringnoOpaque pagination cursor from a previous response.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "med_0vbw0u0bbl4zms",
      "created_at": "2024-11-15T14:54:05Z",
      "content_type": "image/webp",
      "bytes": 6009922,
      "width": 640,
      "height": 360,
      "status": "ready"
    },
    {
      "id": "med_5oyzesfraulxnj",
      "created_at": "2024-09-30T02:43:50Z",
      "content_type": "image/jpeg",
      "bytes": 1401163,
      "width": 800,
      "height": 1440,
      "status": "ready"
    },
    {
      "id": "med_20pxqg17hczbnf",
      "created_at": "2025-02-19T06:30:13Z",
      "content_type": "image/webp",
      "bytes": 1596795,
      "width": 2560,
      "height": 360,
      "status": "ready"
  ...

Example

curl -s https://api.kirsovo.win/api/v1/media